#!/usr/bin/env python3
# -*- encoding: utf-8; py-indent-offset: 4 -*-

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# If you have not received a copy of the GNU General Public License along
# with this program, see <https://www.gnu.org/licenses/>.


# part of mkp package "powerscale"
# see ~/local/share/doc/check_mk/powerscale for maintainer and information


from cmk.gui.i18n import _

from cmk.gui.plugins.metrics import (
    check_metrics,
    metric_info,
    graph_info,
)


metric_info["bytes_ftp"] = {
    "title" : _("FTP"),
    "unit"  : "bytes/s",
    "color" : "31/a"
}

metric_info["bytes_hdfs"] = {
    "title" : _("HDFS"),
    "unit"  : "bytes/s",
    "color" : "32/a"
}

metric_info["bytes_http"] = {
    "title" : _("HTTP"),
    "unit"  : "bytes/s",
    "color" : "33/a"
}

metric_info["bytes_nfs"] = {
    "title" : _("NFS"),
    "unit"  : "bytes/s",
    "color" : "34/a"
}

metric_info["bytes_s3"] = {
    "title" : _("S3"),
    "unit"  : "bytes/s",
    "color" : "35/a"
}

metric_info["bytes_smb"] = {
    "title" : _("SMB"),
    "unit"  : "bytes/s",
    "color" : "36/a"
}

graph_info['bytes_powerscale'] = {
    "title"   : _("PowerScale Services"),
    "metrics" : [
        ( "bytes_ftp" , "area" ),
        ( "bytes_hdfs", "stack" ),
        ( "bytes_http", "stack" ),
        ( "bytes_nfs" , "stack" ),
        ( "bytes_s3"  , "stack" ),
        ( "bytes_smb" , "stack" ),
    ],
}

